diff --git a/src/bin/pgbench/pgbench.c b/src/bin/pgbench/pgbench.c
new file mode 100644
index d44cfda..a48076e
*** a/src/bin/pgbench/pgbench.c
--- b/src/bin/pgbench/pgbench.c
*************** static const BuiltinScript builtin_scrip
*** 423,428 ****
--- 423,437 ----
  		"END;\n"
  	},
  	{
+ 		"tpcb-func-like",
+ 		"<builtin: TPC-B (sort of) in PL/pgSQL>",
+ 		"\\set aid random(1, " CppAsString2(naccounts) " * :scale)\n"
+ 		"\\set bid random(1, " CppAsString2(nbranches) " * :scale)\n"
+ 		"\\set tid random(1, " CppAsString2(ntellers) " * :scale)\n"
+ 		"\\set delta random(-5000, 5000)\n"
+ 		"select * from pgbench_transaction(:aid, :bid, :tid, :delta);\n"
+ 	},
+ 	{
  		"simple-update",
  		"<builtin: simple update>",
  		"\\set aid random(1, " CppAsString2(naccounts) " * :scale)\n"
